#
# spec file for package perl-Mojo-IOLoop-ReadWriteProcess
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojo-IOLoop-ReadWriteProcess
Version:        0.20
Release:        lp150.1.1
%define cpan_name Mojo-IOLoop-ReadWriteProcess
Summary:        Execute external programs or internal code blocks as separate process
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mojo-IOLoop-ReadWriteProcess/
Source0:        https://cpan.metacpan.org/authors/id/M/MU/MUDLER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.400500
BuildRequires:  perl(Mojolicious) >= 7.24
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Mojolicious) >= 7.24
%{perl_requires}

%description
Mojo::IOLoop::ReadWriteProcess is yet another process manager.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes codecov.yml minil.toml README.md
%license LICENSE

%changelog
* Tue Mar 27 2018 edigiacinto@suse.com
- updated to 0.20
  0.20 2018-03-26T13:32:58Z
  - Add preliminar CGroup support
  - Add also interface to unshare() syscall
  - Add mocked test, still needs to be documented in POD
* Mon Feb 26 2018 edigiacinto@suse.com
- updated to 0.19
  0.19 2018-02-22T13:41:50Z
  - Minor bugfixes to Session
  - Make session constructor fixed
  0.18 2018-02-21T12:01:07Z
  - Guard stop() from possible race conditions
  - Fix typo in Session, it caused orphan processes to not be resolved correctly
  0.17 2018-02-20T14:01:59Z
  - Fix minor issue in tests, stabilize serialize test and events
  - Reset session and subreaper bit on forked child process
* Mon Feb 19 2018 edigiacinto@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.16 2018-02-19T13:32:54Z
  - Fix minor issue in event test that made them unstable
  0.15 2018-02-19T10:13:22Z
  - Fix skipping subreaper tests on unsupported platforms
  - Reset session before invoking child callback
  0.14 2018-02-18T21:08:17Z
  - Fix race condition in Mojo::IOLoop::ReadWriteProcess::Queue
  0.13 2018-02-17T19:34:51Z
  - Move subreaper and subprocess logics to Mojo::IOLoop::ReadWriteProcess::Session
  - Use Mojo::IOLoop::ReadWriteProcess::Session as global collector handler
  0.12 2018-02-16T12:53:26Z
  - Enhance tests
  - Add experimental subreaper and subprocess support
* Mon Feb 12 2018 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Mojo-IOLoop-ReadWriteProcess/Changes
  0.11 2018-02-12T09:32:05Z
  - update cpanfile requirements (requires Module::Build now)
  - update POD
* Mon Feb 12 2018 coolo@suse.com
- initial package 0.10
  * created by cpanspec 1.78.08
